
:root{
    --primary:#205997;
    --primary_muted:#5A90CB;
    --primary_light:#2972C1;
    --primary_bright:#278BF4;
    --primary_extra_light:#A6CFFC;
    --primary_extra_light2:#c9e3ff;
    --secondary:#FABE06;
    --secondary2:#FAE206;
    --secondary_muted:#FFF385;
    --secondary_light:rgba(255, 243, 133,0.5);
    --secondary_extra_light:#FFF7B2;
    --extra_blue:#222097;
    --yellow_dark:#979220;
    --yellow2_dark:#979220;
    --yellow_light:#B5C129;
    --brown:#975E20;
    --green_light:#599720;
    --green2:#209722;
    --green_muted:#209597;
    --pink_dark:#972059;
    --purple:#972095;
}

html body{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    box-sizing: border-box;
}


.btn-blue{
    background-color: var(--primary);
    color: #fff;
    padding: 10px 20px;
    font-weight: 600;
    border-radius: 5px;
    text-decoration: none;
    vertical-align: -webkit-baseline-middle;
    transition: 0.5s;
}

.btn-blue:hover{
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
    background-color: var(--secondary2);
    color: #111;
  }



.btn-yellow{
    background-color: var(--secondary2);
    color: #111;
    padding: 10px 20px;
    font-weight: 600;
    border-radius: 5px;
    text-decoration: none;
    vertical-align: -webkit-baseline-middle;
    transition: 0.5s;
}

.btn-yellow:hover{
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
    background-color: var(--primary);
    color: #fff;
  }

  .btn-yellow-small{
    background-color: var(--secondary2);
    color: #111;
    padding: 5px 10px;
    font-size: 0.9rem;
    border-radius: 3px;
    text-decoration: none;
    vertical-align: middle;
    transition: transform 0.5s ;
}

.btn-yellow-small:hover{
    /* display: inline-block; */
    /* -ms-transform: scale(1.5); 
    -webkit-transform: scale(1.5);  */
    /* transform: scale(1.05); */
    background-color: var(--secondary);
    
  }


.mt-7rem{
    margin-top: 7rem;
}

header{
    position: relative;
    z-index: 100;
}

.top_header{
    background-color: var(--primary);
    color: #fff;
    padding: 8px 32px;
    
}

.top_header .contact_details{
    font-size: 0.7rem;
}
.top_header p{
    margin-bottom: 0;
}

.top_header .material-symbols-outlined{
    font-size:17px;
}

.social_icons img{
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.logo{
    width:180px;
}

.location-icon{
    width: 24px;
    height: 24px;
    color: white;
}

.social_links a{
    /* text-decoration: none !important; */
    all: unset;
    cursor: pointer;
}

.social_links img{
    width: 24px;
    height: 24px;
}

.google-map {
    padding-bottom: 50%;
    position: relative;
}

.google-map iframe {
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    position: absolute;
}

.page_head_background{
    background: linear-gradient(90deg, rgba(32, 89, 151, 1), rgba(32, 127, 232, 1));
    width: 100%;
    height: 60vh;
    display: flex;
    align-items: center;
}

.carousel{
    width: 100%!important;
    height: 93vh!important;
    overflow: hidden;
    /* margin-top: -115px; */
    position: relative;
}

.carousel .list .item{
    height: 93vh;
    position: absolute;
    inset: 0 0 0 0;
}

.carousel .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel .list .item .content{
    position: absolute;
    top: 15%;
    /* width: 100%;
    max-width: 80%; */
    left:5%;
    transform: translateX(-20%);
    color: white;
    background-color: rgba(19,19,18,0.6);
    text-shadow: 0 50px 10px #0004;
    border-radius: 20px;
    padding: 1.5rem;
}

.carousel .list .item .content .sub_head{
    font-size: 2rem;
    line-height: 130%;
}

.carousel .list .item .content .head_part{
    font-size: 3rem;
    font-weight: bold;
    line-height: 100%;
    margin: 10px 0;
}

.carousel .list .item .content .head{
    font-size: 5rem;
    font-weight: bold;
    line-height: 100%;
}

.thumbnail{
    position: absolute;
    bottom: 20%;
    left: 50%;
    width: max-content;
    z-index: 100;
    display: flex;
    gap: 20px;
}

.thumbnail .item{
    width: 125px;
    height: 140px;
    flex-shrink: 0;
    position: relative;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.arrows{
    position: absolute;
    top: 70%;
    right: 52%;
    width: 300px;
    /* width: 1.5rem; */
    max-width: 30%;
    display: flex;
    gap:10px;
    align-items: center;
}

.arrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--secondary2);
    border: none;
    color: #fff;
    font-weight: bold;
    font-size: large;
    transition: 0.5s;
    z-index: 100;
}

.arrows button:hover{
    background-color:var(--primary);
    color: #555;
}

.carousel .list .item:nth-child(1){
    z-index: 1;
}

.carousel .list .item:nth-child(1) .content,
.carousel .list .item:nth-child(1) .sub_head,
.carousel .list .item:nth-child(1) .head_part,
.carousel .list .item:nth-child(1) .head,
.carousel .list .item:nth-child(1) .button{
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent 0.5s 0.5s linear 1 forwards;
}

@keyframes showContent{
    to{
        opacity: 1;
        filter: blur(0);
        transform:translateY(0);
    }
}

.carousel .list .item:nth-child(1) .sub_head{
    animation-delay: 1s;
}
.carousel .list .item:nth-child(1) .head_part{
    animation-delay: 1.2s;
}
.carousel .list .item:nth-child(1) .head{
    animation-delay: 1.2s;
}
.carousel .list .item:nth-child(1) .button{
    animation-delay: 1.4s;
}



.carousel.next .list .item:nth-child(1) img{
    width: 150px;
    height: 220px;
    position: absolute;
    left: 50%;
    bottom: 50px;
    border-radius: 20px;
    animation: showImage 0.5s linear 1 forwards;    
}

@keyframes showImage{
    to{
        width:100%;
        height: 100%;
        left: 0;
        bottom: 0;
        border-radius: 0;
    }
}

.carousel.next .list .item .content{
    opacity: 0;
    /* animation: showContent 0.5s linear 1 forwards; */
}

/* @keyframes showContent{
    to{
        opacity: 1;
    }
} */

.carousel.next .thumbnail .item:nth-last-child(1){
    width: 0;
    overflow: hidden;
    animation: showThumbnail 0.5s linear 1 forwards;
}

@keyframes showThumbnail{
    to{
        width: 150px;
    }
}

.carousel.next .thumbnail{
    transform: translateX(150px);
    animation: transformThumbnail 0.5s linear 1 forwards;
}

@keyframes transformThumbnail{
    to{
        transform: translateX(0);
    }
}

/* Prev button clicked*/

.carousel.prev .list .item:nth-child(2){
    z-index:2
}

.carousel.prev .list .item:nth-child(2) img{
    position: absolute;
    bottom: 0;
    left: 0;
    animation: outImage 0.5s linear 1 forwards;
}

@keyframes outImage{
    to{
        width: 150px;
        height: 220px;
        border-radius: 20px;
        left: 50%;
        bottom: 50px;
    }
}

.carousel.prev .thumbnail .item:nth-child(1){
    width: 0;
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail 0.5s linear 1 forwards;
}

.carousel.prev .list .item:nth-child(2) .sub_head,
.carousel.prev .list .item:nth-child(2) .head_part,
.carousel.prev .list .item:nth-child(2) .head,
.carousel.prev .list .item:nth-child(2) .button{
    animation: contentOut 1.5s linear 1 forwards;
}

@keyframes contentOut{
    to{
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}

.carousel.next .arrows button,
.carousel.prev .arrows button{
    pointer-events: none;
}

.time{
    width: 0;
    height: 5px;
    background-color: rgba(205, 237, 3, 0.8);
    position: absolute;
    z-index: 100;
    top: 0;
    left: 0;
}

.carousel.next .time,
.carousel.prev .time{
    width: 100%;
    animation: timeRunning 2s linear 1 forwards;
}

@keyframes timeRunning{
    to{
        width: 0;
    }
}


.border_box1{
    position: absolute;
    bottom: -2.4rem;
    left: -2.4rem;
}

.about_border_box1{
    position: absolute;
    top: 4rem;
    right: 6rem;
}


.border_box2{
    position: absolute;
    top: 5rem;
    left: 4rem;
}

.about_border_box2{
    position: absolute;
    bottom: 4rem;
    left: 6rem;
}

.img_small_vertical_top_left{
    margin-right: 0;
    margin-left: auto;
    margin-top: 7rem;
}

.img_small_vertical_top_right{
    
    margin-top: 3rem;
}


.border_box3{
    position: absolute;
    right: 4rem;
    top: 1rem;
}



.img_small_vertical_bottom{
    margin-top: 7rem;
}

.headings_pages{
    position: relative;
    text-transform: uppercase;
    font-weight: 700;
    /* margin-bottom: 2rem; */
    display: inline-block;
    font-style: italic;
    color:#fff;
}

.page_head_text p{
    color:#fff;
}


.headings{
    position: relative;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    display: inline-block;
}

.headings::before{
    background: var(--primary);
    content: "";
    bottom: -10px;
    position: absolute;
    height: 4px;
    width: 50px;
    z-index: 1;
    left: 50%;
    border-radius: 10px;
    margin-left: -40px;
}

.headings::after{
    background: var(--primary);
    content: "";
    bottom: -10px;
    position: absolute;
    height: 4px;
    width: 50px;
    z-index: 1;
    left: 50%;
    margin-left: 1rem;
    border-radius: 10px;
}



.heading_parts{
    color: var(--primary);
}


.img_small_horizontal{
    width: 485px;
    height: 180px;
    border-radius: 20px;
    margin-right: 0;
    margin-left: auto;
    position: relative;
}

.img_small_horizontal img:nth-child(2){
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.img_small_vertical{
    width: 180px;
    height: 485px;
    border-radius: 20px;
    /* margin-right: 0;
    margin-left: auto; */
}

.img_small_vertical img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.card-img-top{
    width:6rem;
}

.student_card{
    padding-top:1rem
}
.student_card p{
    margin-bottom: 0;
}
.student_card_title{
    font-size:1rem;
   
}

.student_card_text{
    font-size: 1rem;
    font-weight: bold;
    color: var(--primary);
}

.student_card:hover{
    background-color: var(--primary_extra_light);
}

.blue_background{
    width: 95%;
    margin-right: 0;
    margin-left: auto; 
    border-radius: 40px 0 0;
    background-color: var(--primary_extra_light2);
}

.courses-card-neet,.courses-card-jee,.courses-card-cet{
    min-height: 220px;
}
.courses-card-neet{
    background-color: var(--primary_light);
}
.courses-card-jee
{
    background-color: var(--secondary_muted);
}
.courses-card-cet
{
    background-color: var(--secondary);
}


.courses-card-body-neet, .courses-card-body-jee,.courses-card-body-cet{
    width: 70%;
    padding-right: 2rem;
}
.courses-card-body-neet{
    color: #fff;
}

.course-card-img-neet{
    top: -95px;
    left: -100px;
    width: 250px;
}
.course-card-img-jee{
    top: -103px;
    left: -95px;
    width: 250px;
}

.course-card-img-cet{
    top: -108px;
    left: -50px;
    width: 200px;
}

.course_button_neet{
    background-color: var(--secondary2);
    color: #111;
}

.course_button_jee{
    background-color: var(--primary_light);
    /* color: #111; */
}

.scholorship_div{
    background-color: var(--secondary_light);
}

.scholorship_div p:nth-child(2)
{
    font-size: 8rem;
    line-height: 1;
    font-weight: 900;
    font-style: italic;
    color: var(--pink_dark);
}
.scholorship_div p:first-child, .scholorship_div p:nth-child(3)
{
    font-size: 4rem;
    font-style: italic;
    line-height: 1;
    font-weight: 900;
    color: var(--primary);
}

.our_features {
    width: 95%;
    margin-right: auto;
    margin-left: 0;
    border-radius: 0 40px 0 0;
    background-color: var(--primary_extra_light2);

}

/*Faculties*/


.faculty_main_div{
    position: relative;
    display: flex;
    /* background-color: red; */
}

.faculty2{
    position: absolute;
    right: 0;
    margin-right: 1.5rem;
}


.faculty_container{
    display: inline-flex;
    position: relative;
    /* background: aqua; */
}
.faculty_img_container{
    /* background: red; */
    display: inline-block;
}

.faculty_img_border1{
    position: absolute;
}

.faculty_img_border2{
    position: absolute;
    right: -1.5rem;
}

.faculty_img_border3{
    position: absolute;
    bottom: 0;
}

.faculty_img_border4{
    position: absolute;
    bottom: 0;
    right: -1.5rem;
}

.faculty_img1{
    width: 250px;
    height: 500px;
    object-fit: cover;
    border-radius: 20px;
    margin-left: 24px;
    margin-top: 24px;
}

.faculty_img2{
    width: 250px;
    height: 500px;
    object-fit: cover;
    border-radius: 20px;
  
    margin-top: 24px;
}

.faculty_img3{
    width: 250px;
    height: 500px;
    object-fit: cover;
    border-radius: 20px;
    margin-left: 24px;
    margin-bottom: 24px;
}

.faculty_img4{
    width: 250px;
    height: 500px;
    object-fit: cover;
    border-radius: 20px;
    
    margin-bottom: 24px;
}

.subject_title_div1, .subject_title_div2{
    background-color: var(--primary);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 350px;
    height: 110px;
    margin-top: 5rem;
    
}

.subject_title_div1{
    border-radius: 0 20px 20px 0;
}

.subject_title_div2{
    border-radius: 20px 0 0 20px;
}



.subject_title{
    font-size: 40px;
    font-style: italic;
    font-weight: 800;
    color: #fff;
}

.faculty_details{
    /* background-color: #209722; */
    padding: 10px 15px;
}

.faculty_details h2{
    font-weight: 700;
}
.faculty_details p{
    font-size: 20px;
    font-weight: 600;
    color: var(--primary_light);
}

.subject img{
    height: 300px;
    width: auto;
    
}

.subject_details_right, .subject_details_left{
    background: var(--primary_extra_light);
    width: auto;
    display: inline-block;
    padding: 10px 30px;
    margin-left: -32px;
    margin-top: -90px;
}


.subject_details h5{
    color: var(--pink_dark);
}

.subject_details p{
    background-color: var(--primary);
    padding: 5px 10px;
    color: white;
    font-weight: bold;
    font-size: 14px;
    margin: 0;
}

.subject_details_right{
    border-radius: 20px 0 0 20px;
}

.subject_details_left{
    border-radius: 0 20px 20px 0;
}

.subject_details_left p{
    border-radius: 0 10px 10px 0;
}
.subject_details_right p{
    border-radius: 10px 0 0 10px;
}

.book_demo_heading_container{
    background-color: var(--primary);
}
.book_demo_heading{
    color: #fff;
    padding: 1.5rem 0;
}
.book_demo_heading h2{
    font-weight: bold;
}

.book_demo_form_container{
    width: 500px;
    top: -9rem;
    border: 2px solid var(--primary);
    padding: 1rem;
}

.book_demo_form_container_two{
    width: 500px;
    border: 2px solid var(--primary);
    padding: 1rem;
}

.book_demo_form_container img, .book_demo_form_container_two img{
    width: 210px;
    
}

.book_demo_form_title{
    font-size: 2.25rem;
    font-weight: bold;
}
.book_demo_heading_part{
    color: var(--secondary);
}

.book_demo_form input, .book_demo_form select,.book_demo_form textarea{
    background-color: var(--primary_extra_light);
}

.book_demo_form button{
    background-color: var(--primary_light);
    color: #fff;
    width: 100%;
}

.book_demo_background{
    width: 90%;
    background: linear-gradient(90deg,rgba(34, 32, 151, 0.29), rgba(32, 89, 151, 0.42), rgba(242, 201, 76, 0.46), rgba(111, 207, 151, 0.5));
}

footer{
    background: rgb(41,114,193);
    background: linear-gradient(180deg, rgba(41,114,193,1) 0%, rgba(11,54,100,1) 100%);
    padding: 4rem 0;
    color: #fff;
}

footer h5{
    font-size:1.5rem;
    color:#fff;
}
.footer_quick_links{
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer_quick_links a{
    color: #fff;
    text-decoration: none;
}

@media screen and (max-width: 600px)
{
    .btn-yellow-small
    {
        padding: 3px 5px;
    }
    
    .carousel .list .item .content
    {
        top: 15%;
    }
    .carousel .list .item .content .sub_head{
        font-size: 1.2rem;
    }
    .carousel .list .item .content .head_part
    {
        font-size: 1.6rem;
    }

    .carousel .list .item .content .head{
        font-size: 3.1rem;
    }

    .arrows{
        top:72%;
    }
    
    .thumbnail
    {
        bottom: 15%;
    }

    .courses-card-neet, .courses-card-jee, .courses-card-cet{
        flex-direction: column!important;
    }
    
    .course-card-img-neet, .course-card-img-jee, .course-card-img-cet{
        width: 60%;
        position: initial !important;
        display: flex;
        margin: 0 auto;
    }

    .courses-card-jee
    {
        margin-top: 20px;
    }

    .welcome-img{
        width: 100%!important;
    }

    .scholorship_para
    {
        text-align: center;
    }

    .scholorship-img{
        width: 70%;
    }

    .scholorship_div p:first-child, .scholorship_div p:nth-child(3){
        font-size: 3rem;
    }
    .scholorship_div p:nth-child(2){
        font-size: 6rem;
    }


    .faculty_main_div
    {
        height: 100vh;
    }

    .faculty_img1, .faculty_img2, .faculty_img3, .faculty_img4
    {
        width: 120px;
        height: 220px;
        margin-left: 15px;
        margin-top: 15px;
    }

    .subject_title_div1, .subject_title_div2{
        width: 210px;
        height: 50px;
    }
    .subject_title{
        font-size: 24px;
    }

    .faculty2
    {
        top: 50%;
    }

    .faculty_details h2
    {
        font-size: 20px;
    }
    .faculty_details p
    {
        font-size: 14px;
    }
    .book_demo_heading_container{
        padding: 0 20px;
    }

    .book-demo-container img{
        width: 100%;
    }
    
    .book_demo_form_container
    {
        position: initial!important;
        top: 0;
        width: 100%;
        margin-bottom: 10px;
    }
}